Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.event
Class ProjectAdapter

    java.lang.Object
      edu.stanford.smi.protege.event.ProjectAdapter

All Implemented Interfaces:
  ProjectListener, EventListener

    public abstract class ProjectAdapter

extends Object
implements ProjectListener

Adapter for listeners to project events. Subclass this class if you only want to catch some project events.

Author:
  Ray Fergerson

Constructor Summary
`ProjectAdapter()`

Method Summary
`void` | `formChanged(ProjectEvent event)`
`void` | `projectClosed(ProjectEvent event)`
`void` | `projectSaved(ProjectEvent event)`
`void` | `runtimeClsWidgetCreated(ProjectEvent event)`
`void` | `serverSessionLost(ProjectEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectAdapter

    public ProjectAdapter()

Method Detail

### formChanged

    public void formChanged(ProjectEvent event)

  Specified by:
    `formChanged` in interface `ProjectListener`

### runtimeClsWidgetCreated

    public void runtimeClsWidgetCreated(ProjectEvent event)

  Specified by:
    `runtimeClsWidgetCreated` in interface `ProjectListener`

### projectClosed

    public void projectClosed(ProjectEvent event)

  Specified by:
    `projectClosed` in interface `ProjectListener`

### projectSaved

    public void projectSaved(ProjectEvent event)

  Specified by:
    `projectSaved` in interface `ProjectListener`

### serverSessionLost

    public void serverSessionLost(ProjectEvent event)

  Specified by:
    `serverSessionLost` in interface `ProjectListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.